Subject: Re: IMPORTANT: Strategy for VPN work in IETF

From: Thomas Narten <[email-masked]>
Date: Wed, 07 May 2003 12:24:18 -0400

Catching up a bit (and summarizing)...

Waldemar Augustyn <[email-masked]> writes:

> as the co-originator, with Tissa, of the L2 VPN work within PPVPN, I 
> would like to say I am glad to see this effort finally recognized as 
> significant.  But the two year delay does not impress me.  What is being 
> proposed should have been done at that time, two years ago. At the very 
> least, the charter of ppvpn should have been adjusted as it was promised 
> but never done.

As the likely Area Advisor for these WGs, I think it is important to
get the charters updated so that the WG and the ADs (and IESG) are in
sync. Doing so sooner rather than later tends minimize (later)
problems. (Note: this is true in general and if we end up moving these
WGs to INT, doing this as part of the move seems logical, which is why
I'm now following this all more closely.)

> It appears, what we're talking about is playing catch up.  The issue is 
> really the charter which makes no sense, but  I do not see the point of 
> splitting the WG after these years.

My understanding after having looked at the work as that there are
something like 12-13 IDs on L3 VPNs in the pipeline. That's no small
number and suggests that an L3 focused WG still has plenty on its
plate.

Eric Rosen <[email-masked]> writes:

> 1. Before being comfortable with a  reorganization, I'd like to see what the
>    new charters  will be.  I'd particularly  like to be sure  that the L3VPN
>    charter is  not constructed so as to  cause a reset.  Same  with the PWE3
>    charter; we don't want to have to refight old wars.

Fair enough. I don't think a PWE3 revised charter has even been
drafted yet, but for the L2/L3 there are drafts (somewhere). Stay
tuned.

> 2. From ground level, the most important  aspect of a particular WG being in
>    a particular  area is the  attitude of that  area's ADs towards  the work
>    that the WG is doing.  This is  an unknown to us. Given that at least one
>    IESG member  (though not one involved  in this reorg) has  been quoted in
>    the trade  tabloids as  saying that this  work is  all a scam  which will
>    destroy the  network, you can  see why we  might react cautiously  to any
>    proposed change. 

I don't know that I've been quoted on the press on this topic, so I'll
assume the referal is to someone else. :-)

Bottom line is that I'm fairly agnostic about the technology. I
understand that there is a need for it, folks seem to want to do it,
and there is a WG in place that is well on its way towards doing the
work. I don't see a need to revisit such basic questions. But I am
interested in seeing the WG complete work in a reasonable fashion in a
way that when the documents make it to the IESG, there are no suprises
and I can make the case that the work is baked/solid and there are no
serious issues the WG neglected to consider. More on this over the
next few weeks, I expect.

As one example, on the topic of "one vs. multiple solutions", I know
the IESG will ask, why are we standardizing 3 solutions to the same
problem (if that is what the WG thinks it is going to do). The WG will
have to be able to answer that sort of question with a credible
response (and in some cases, a credible justification is that the
solutions are very different and there are different applicabilities
to the mechanisms -- but one needs to look at the details on this). If
the answer simply is "because we want to and we'll let the market
decide", the IESG may well come back and say fine, make them all
experimental, none of them on standards track. Revisit when the market
has decided. Would that be what the WG wants? Would that be in the
best interests of the IETF and Internet community? I wonder.

"Hamid Ould-Brahim" <[email-masked]> writes:

> Wouldn't be more appropriate to first discuss what these concerns
> are and if they are indeed justified concerns, and solicit feedback
> from the wg to discuss options or improvements on how to move the wg
> forward and get consensus on that. If I recall, similar open
> approach has been taken for sup-ip area in Atlanta meeting.

Sometimes, public discussions aren't the best way to deal with issues
constructively. This is particularly true when it comes to management
questions about WG operations.

> After all, the amount of work after the split is exactly 
> the same as before the split if not bigger (given that
> l3vpns work is almost done and the split will
> introduce additional administrative overhead).

But if there are two WGs, the management load is split across more
chairs, so it takes less cycles (e.g., from each chair) to manage each
WG. There is a basic tension in the IETF between having WGs that are
too large (a similar discussion has been ongoing in places like
MobileIP and IPv6 over the last year) and where splitting them up into
smaller WGs can help focus them. Indeed, there have been numerious
conversations about this on the problem-statement list (with one view
being that smaller, focused WGs tending to do a better job of
completing their work than larger ones). I tend to share that view (as
a general observation), and given that there are some 13 documents in
the L3 space alone, I see there being ample work for a standalone WG
to take on. Will splitting up the WGs _guarantee_ this? Of course
not. Does it solve all possible problems? Of course not. But it can
help, and it seems reasonable in my mind to do so in this case.

Yakov Rekhter <[email-masked]> writes:

> As was pointed by other folks, there is practically no L3 VPN
> related activities now. Practically all the discussion is about L2
> VPN, or to be even more precise, above VPLS. Just count the number
> of messages posted to the list over the last 12 months related to
> L3 VPNs vs L2 VPNs.

The chairs themselves seem to agree that there are some 13 documents
on L3 that are not through the system yet. I'm a bit concerned to hear
that there has been minimal discussion on L3 topics over the last
year, given the number of L3 work items that apparently need to get
completed.

The above could be read as indicating that the discussion/urgency of
the L2 work is pushing out or drowning out discussion on L3 topics. If
that is the case, a separate WG, mailing list, etc., may well help.
I'm assuming the L3 work is important and should get completed.

Thomas

---

From: Eric Rosen <[email-masked]>
Date: Wed, 07 May 2003 12:59:03 -0400

Thomas>  I'm a bit concerned to  hear that there has been minimal discussion
Thomas>  on L3 topics over the last  year, given the number of L3 work items
Thomas>  that apparently need to get completed. 

Well, the issue  here is that they  were all completed a year  ago, and have
been held up by some mysterious process. 

However, I for one would welcome  a smaller WG, focused only on L3VPN, which
would not get distracted by L2VPN issues.   (Though I seem to be the only WG
participant to welcome this ;-)) I do anticipate some problems with the IESG
(as Marco hints) on L3VPN, but I don't think that those problems will be any
less if we keep the topics combined in one WG ;-)

Thomas> The above could be read as indicating that the discussion/urgency of
Thomas> the L2 work is pushing out or drowning out discussion on L3 topics.

Yes, I do think so.

---

From: Scott W Brim <[email-masked]>
Date: Wed, 7 May 2003 13:19:39 -0400

On Wed, May 07, 2003 12:24:18PM -0400, Thomas Narten allegedly wrote:
> There is a basic tension in the IETF between having WGs that are

Having related but small, focused WGs is fine as long as communication
between them is mandated and kept flowing.